Thoradia Add-ons

  • Hello,


    Thank you for your work :) .


    I am constantly getting the following error in Lidarr:

    Quote

    fpcalc could not be found. Audio fingerprinting disabled.

    I already downloaded a fpcalc binary compiled for armh and put it on my LibreElec path, but it still doesn't find it. I ask here instead of creating an issue, because I don't know if this would belong to Lidarr, or to Thoradia...


    Thanks!

  • fpcalc is part of the libchromaprint-tools package, which is not included in libreelec.

    So audio recognition will not work until the executable is included in lidarr with a location fix.


    A workaround is to mount / as writable and create a link in /bin to where you placed the fpcalc executable.


    I am most surprised though that a Mono application is written to rely on a OS-specific package. How does Lidarr work in Windows then?


    I would just leave it off. It's pretty resource intensive and practically useless, except for audio verification (and you can probably verify if a song is the wrong one, anyway)

  • Thanks for your answer!


    Yeah, I don't need it, I just wanted the notifications (which I have connected for "healt_h issues" through Telegram) to stop.


    Regarding your Windows comment, according to the wiki:

    Quote

    Lidarr can use chromaprint audio fingerprinting to identify tracks. This depends on an external binary, which is distributed with Lidarr for Windows and macOS but must be provided independently on Linux.

  • Thanks for your answer!


    Yeah, I don't need it, I just wanted the notifications (which I have connected for "healt_h issues" through Telegram) to stop.


    Regarding your Windows comment, according to the wiki:

    Alright, so... I actually made it work this way:


    In /storage/.kodi/addons/service.lidarr/bin/lidarr.ctl,

    add this line after the export that's aldready in there:


    export PATH="${ADDON_DIR}/bin:$PATH"


    I am not sure if this runs on every boot / service startup.


    But you can also add this to /storage/config/autostart.sh so that it executes on boot:


    export PATH="/storage/.kodi/addons/service.lidarr/bin:$PATH"


    so it should become like this:


    -----

    #!/bin/sh

    (sleep 3;

    export PATH="/storage/.kodi/addons/service.lidarr/bin:$PATH"


    # whatever other commands you might have in there

    )&

    -----


    Copy fpcalc (I got it for x86_64 from the Chromaprint package) to /storage/.kodi/addons/service.lidarr/bin and give it executable permissions.


    Start Lidarr.



    This works well for me.

    An alternative is to mount / as writable, copy fpcalc to /bin and that will work right away. BUT that may (will probably) be overwritten on system update.

  • Hi,

    I have LibreElec 9.2.6 on RPi 4 (with 4GB RAM).

    I Installed all the addons (mono + tools).

    Radarr works perfectly but sonnerr is not.

    On RPi Boot I get a quick message:

    [FAILED] Failed to start sonarr

    See 'systemctl status service.sonarr.service' for details


    When I ran this commend in terminal i get empty response.


    Can you please help?

  • Looks like the latest test builds break Transmission.

    Code
    LibreELEC (community): nightly-20210314-c5d7822 (RPi4.arm)
    
    Mar 14 13:19:38 x systemd[1]: Starting Transmission...
    Mar 14 13:19:38 x service.transmission[1056]: net.core.rmem_max = 4194304
    Mar 14 13:19:38 x service.transmission[1057]: net.core.wmem_max = 1048576
    Mar 14 13:19:38 x service.transmission[1051]: transmission-daemon: /usr/lib/libcurl.so.4: version `CURL_GNUTLS_4' not found (required by transmission-daemon)
    Mar 14 13:19:38 x systemd[1]: service.transmission.service: Control process exited, code=exited, status=1/FAILURE
    Mar 14 13:19:38 x systemd[1]: service.transmission.service: Failed with result 'exit-code'.
    Mar 14 13:19:38 x systemd[1]: Failed to start Transmission.
  • LE master switched curl from building against gnutls to openssl so add-ons will need to be rebuilt.

  • I freshly installed LE on RPi4 4GB and I installed Qbittorrent client. After reboot the service does not start automatically. If I start it via putty (systemctl start service.qbittorrent) then it's starts.

    With systemctl is-enabled service.qbittorrent command said it's enabled.

    Previously I used Transmission on same config but it worked well.


    May I miss something?

    Thanks in advance.

  • I have installed the addon on libreelec 9.95.1

    (RPi4) but I get the following error: could not connect to repository. Is it normal?

  • Hi there, no sure if I'm being thick, which libreelec version should I be using for your add ons to work? All I keep getting is cannot connect to repository.

  • I'm getting the same thing on 9.95.1.


    It seems like it's trying to reach out to:

    https://raw.githubusercontent.…Generic/x86_64/addons.xml

    which doesn't exist yet.


    There is a 9.80.8 though. Don't suppose anyone knows an easy way to have it point at that just to test out?



    Edit: Just in case anybody is stuck and slow like me, you can go to the individual packages, download and install them from this link:

    thoradia/9.80.8 at 9.80.8 · thoradia/thoradia · GitHub


    I just needed jacket, medusa and radarr so I installed them independently along with the dependencies and they seem ok so far.

    Edited once, last by hazz: added a helpful note. ().

  • What is the newest/latest nightly libreelec version that works with Thoradia addons, specifically transmission?

    I just tried out LibreELEC-RPi4.arm-10.0-nightly-20210321 (in attempt to get 4k HDR on my pi4) and it seems transmission is not compatible.


    I know it's not even in beta, but is there a timeline for support for LE 10?

  • What is the newest/latest nightly libreelec version that works with Thoradia addons, specifically transmission?

    Here's the one I compiled for my own purposes. It works with the 10.0 nightly and is built from the Thoradia repo.


    Tmp.Ninja · Temp File Hosting


    Here's the sha1sum and original filename:


    34d31925bbb6942494ec5a6a1d880d2e4c210e6d service.transmission-9.80.11.24.zip


    You can install it manually.

  • Thanks. It installs OK but the transmission config page is only showing processing priority. Config page does not show the expected details for IP, port, and login info.

    I've installed the 9.80 Thoradia, are there any other dependencies I may be missing?

  • Thanks. It installs OK but the transmission config page is only showing processing priority. Config page does not show the expected details for IP, port, and login info.

    I've installed the 9.80 Thoradia, are there any other dependencies I may be missing?

    I can't help much more. I would suggest you install the broken Transmission from Thoradia to get all the dependencies, then install this over top of the version that it provides.


    I started with a working version, then upgraded the nightly which caused Transmission to stop working. I rebuilt it and installed that, then it started working again.


    Just one clarification that this is for RPi4 only.